
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 公告
 *
 * @author YXF
 * @date 2020-11-25 17:57:56
 */
@Data
public class Notice extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 公告id
     */
    private Long id;

    /**
     * 店铺id(0为平台端发布的公告  其他为商家端发布的公告)
     */
    private Long shopId;

    /**
     * 类型（平台端同时创建多类型公告）(1:在商家端展示 2:在用户端展示 3：在供应商端展示)
     */
    private String types;

    /**
     * 商家可见范围 (为空则全部可见)
     */
    private String multiShopIds;

    /**
     * 用户可见范围 (为空则全部可见)
     */
    private String userIds;

    /**
     * 供应商可见范围 (为空则全部可见)
     */
    private String supplierIds;

    /**
     * 公告标题
     */
    private String title;

    /**
     * 公告内容
     */
    private String content;

    /**
     * 状态(1:公布 0:撤回)
     */
    private Integer status;

    /**
     * 是否置顶
     */
    private Integer isTop;

    /**
     * 发布时间
     */
    private Date publishTime;

    /**
     * 是否已读(1:已读 0:未读)
     */
    private Integer isLearning;


    /**
     * 是否立即发送 1：立即发送    0：定时发送
     * @return
     */
    private Integer immediatelySend;

    /**
     * 发送时间
     */
    private Date sendTime;

}
