package com.tmerclub.cloud.multishop.service;

import com.tmerclub.cloud.multishop.dto.AllinpayRechargeDTO;
import com.tmerclub.cloud.multishop.mongo.MongoShopWalletLogBO;
import com.tmerclub.cloud.multishop.vo.ShopRechargeVO;

/**
 * @author TRACK
 */
public interface ShopRechargeService {

    /**
     * 商家充值
     * @param shopWalletLog
     * @param returnUrl
     * @return
     */
    ShopRechargeVO shopRecharge(MongoShopWalletLogBO shopWalletLog, String returnUrl);

    /**
     * 确认支付提现订单
     * @param rechargeDTO
     * @param shopId
     */
    void confirmRechargePay(AllinpayRechargeDTO rechargeDTO, Long shopId);

    /**
     * 重新发送验证码
     * @param bizOrderNo
     * @param shopId
     */
    void resendPaySms(String bizOrderNo, Long shopId);

    /**
     * 充值通联回调
     * @param bizOrderNo
     * @param payStatus
     * @param bizUserId
     */
    void rechargeBack(String bizOrderNo, String payStatus, String bizUserId);
}
