
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.api.multishop.vo.ShopDetailVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家审核信息VO
 *
 * @author YXF
 * @date 2021-02-01 17:10:35
 */
@Data
public class ShopAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺审核id")
    private Long shopAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "0 未审核 1已通过 -1未通过 2平台下线 3 上线待审核")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "店铺信息")
    private ShopDetailVO shopDetail;


}
