
package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/9/2
 */
@Data
public class ShopUserVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * shopUserId
     */
    @Schema(description = "店铺用户id")
    private Long shopUserId;

    @Schema(description = "昵称")
    private String nickName;

    @Schema(description = "员工编号")
    private String code;

    @Schema(description = "联系方式")
    private String phoneNum;

    @Schema(description = "是否已经有账号了")
    private Integer hasAccount;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "角色id列表")
    private List<Long> roleIds;

    @Schema(description = "账号")
    private String username;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "手机号")
    private String phone;

    @Schema(description = "状态 1启用 0禁用")
    private Integer status;

    /**
     * 是否是管理员
     */
    @Schema(description = "是否是管理员")
    private Integer isAdmin;

    }
