
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家钱包信息VO
 *
 * @author lhd
 * @date 2021-01-04 13:55:51
 */
@Data
public class ShopWalletVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺钱包id")
    private Long shopWalletId;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新时间")
    private Date updateTime;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "未结算金额（用户支付）")
    private Long unsettledAmount;

    @Schema(description = "已结算金额（用户确认收货后，可以提现）")
    private Long settledAmount;

    @Schema(description = "冻结金额（用户确认收货）")
    private Long freezeAmount;

    @Schema(description = "累积结算金额")
    private Long totalSettledAmount;

    @Schema(description = "可用短信数量")
    private Integer smsNum;

    @Schema(description = "乐观锁")
    private Long version;

    }
