
package com.tmerclub.cloud.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author lth
 * @Date 2021/7/16 8:43
 */
@Data
public class SupplierSigningInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "签约起始时间")
    @NotNull(message = "签约起始时间不能为空")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

    @Schema(description = "供应商类型 1自营店 2普通店")
    @Max(value = 2, message = "只能为1或2")
    @Min(value = 1, message = "只能为1或2")
    private Integer type;

}
