
package com.tmerclub.cloud.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商钱包信息DTO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierWalletDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商钱包id")
    private Long supplierWalletId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "未结算金额（用户支付）")
    private Long unsettledAmount;

    @Schema(description = "已结算金额（用户确认收货后，可以提现）")
    private Long settledAmount;

    @Schema(description = "冻结金额（用户确认收货）")
    private Long freezeAmount;

    @Schema(description = "累积结算金额")
    private Long totalSettledAmount;

    @Schema(description = "乐观锁")
    private Long version;

}
