
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.api.payment.constant.PaySysType;
import groovy.lang.DelegatesTo;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商钱包信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierWallet extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商钱包id
     */
    private Long supplierWalletId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 支付系统类型
     * @see PaySysType
     */
    private Integer paySysType;

    /**
     * 未结算金额（用户支付）
     */
    private Long unsettledAmount;

    /**
     * 已结算金额（用户确认收货后，可以提现）
     */
    private Long settledAmount;

    /**
     * 冻结金额（用户确认收货）
     */
    private Long freezeAmount;

    /**
     * 累积结算金额
     */
    private Long totalSettledAmount;

    /**
     * 乐观锁
     */
    private Long version;

}
