
package com.tmerclub.cloud.api.multishop.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2021/3/9
 */
@Data
public class OrderChangeShopWalletAmountBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 退款单id
     */
    private Long refundId;

    /**
     * 钱包分片序号
     */
    private Integer zoneNo;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 订单 or 订单项 实际支付金额
     */
    private Long actualTotal;

    /**
     * 申请退款金额
     */
    private Long refundAmount;

    /**
     * 平台补贴金额
     */
    private Long platformAllowanceAmount;

    /**
     * 平台运费减免金额
     */
    private Long platformFreeFreightAmount;

    /**
     * 店铺补贴金额
     */
    private Long shopAllowanceAmount;

    /**
     * 平台抽成
     */
    private Long platformCommission;

    /**
     * 平台抽成变化金额
     */
    private Long changePlatformCommission;

    /**
     * 采购金额变化金额
     */
    private Long refundPurchaseAmount;

    /**
     * 采购金额变化金额
     */
    private Long changePurchaseAmount;

    /**
     * 平台抽成比例
     */
    private Double rate;

    /**
     * 分销金额
     */
    private Long distributionAmount;

    /**
     * 平台供应商佣金变化金额
     */
    private Long changePurchasePlatformCommission;

    /**
     * 平台供应商佣金变化金额
     */
    private Long refundPurchasePlatformCommission;

    /**
     * 供应商处理状态， -1.商家自行处理 0.待供应商处理 1.供应商已同意 2.供应商已拒绝
     */
    private Integer supplierHandleStatus;

    /**
     * 订单运费
     */
    private Long freightAmount;


    /**
     * 供应商订单运费
     */
    private Long supplierFreightAmount;

    /**
     * 钱包id列表
     */
    private List<Long> walletLogIds;

    /**
     * 是否待采购 1.是 0.否 2.采购完成
     * 枚举类 com.tmerclub.cloud.api.order.constant.PurchaseOrderWaitStatus
     */
    private Integer waitPurchase;

    /**
     * 最后一单
     */
    private Boolean lastOrder;
    /**
     * 支付系统类型
     * @see com.tmerclub.cloud.api.payment.constant.PaySysType
     */
    private Integer paySysType;
    /**
     * 平台介入退款方式 1.商家承担 2.商家供应商承担（供应商发货订单） 3.不同意退款
     */
    private Integer interventionRefundType;


}
