
package com.tmerclub.cloud.api.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2023/12/18 15:07
 */
@Data
public class ThirdApiAbutmentUserDto implements Serializable {

    @Schema(description = "通信的用户唯一ID，可以随机uuid （建议自己服务端的用户唯一uid）")
    private Long userId;

    @Schema(description = "用户昵称，商城有些通知会需要用到")
    private String nickName;

    @Schema(description = "校验的token，随机uuid（建议使用自己服务端的用户的token）")
    private String accessToken;

    @Schema(description = "token在多少秒后过期")
    private Long expiresIn;

    @Schema(description = "openId，如果当前是在小程序上，则传小程序的openid。如果是在微信浏览器上开打，则传公众号openid")
    private String openId;

    @Schema(description = "socialType, 1小程序登录，2公众号登录，0 其他 ")
    private Integer socialType;

    @Schema(description = "本商城系统uid")
    private Long uid;

}
