
package com.tmerclub.cloud.api.auth.dto;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户注册信息vo
 * @author cl
 * @date 2021-05-13 14:40:43
 */
@Data
public class UserRegisterDTO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "ID")
    private Long userId;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "M(男) or F(女)")
    private String sex;

    @Schema(description = "例如：2009-11-27")
    private String birthDate;

    @Schema(description = "头像图片路径")
    private String pic;

    @Schema(description = "状态 1 正常 0 无效")
    private Integer status;

    @Schema(description = "会员等级（冗余字段）")
    private Integer level;

    @Schema(description = "vip结束时间")
    private Date vipEndTime;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "手机号(冗余)")
    private String phone;

    @Schema(description = "付费会员等级")
    private Integer vipLevel;

    /**
     * openId list
     */
    private List<String> bizUserIdList;

}
