
package com.tmerclub.cloud.api.auth.dto;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author cl
 * @date 2021-05-13 14:50:53
 */
@Data
public class UserRegisterExtensionDTO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    private Long userExtensionId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户等级")
    private Integer level;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "用户当前成长值")
    private Integer growth;

    @Schema(description = "用户积分")
    private Long score;

    @Schema(description = "用户总余额")
    private Long balance;

    @Schema(description = "用户实际余额")
    private Long actualBalance;

    @Schema(description = "乐观锁")
    private Integer version;

    @Schema(description = "连续签到天数")
    private Integer signDay;

    @Schema(description = "付费会员等级")
    private Integer vipLevel;

    @Schema(description = "通联累计余额")
    private Long allinpayBalance;

    @Schema(description = "通联实际余额")
    private Long allinpayActualBalance;

    @Schema(description = "通联实名认证(0:否 1:是)")
    private Integer allinpayRealNameSet;

    @Schema(description = "通联绑定银行卡(0:否 1:是)")
    private Integer allinpayPhoneBind;

    @Schema(description = "通联支付密码设置(0:否 1:是)")
    private Integer allinpayPayPwdSet;

    @Schema(description = "通联提现协议签约(0:否 1:是)")
    private Integer allinpayProtocolSign;

    @Schema(description = "通联支付标识绑定(0:否 1:是)")
    private Integer allinpayPayAcctBind;

}
