
package com.tmerclub.cloud.api.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/9/22
 */
@Data
public class AuthAccountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 全平台用户唯一id
     */
    private Long uid;

    @Schema(description = "邮箱")
    private Long userId;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "手机号")
    private String phone;

    @Schema(description = "用户名")
    private String username;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "状态 1:启用 0:禁用 -1:删除")
    private Integer status;

    @Schema(description = "创建ip")
    private String createIp;

    /**
     * 系统类型见SysTypeEnum
     */
    @Schema(description = "系统类型 0.普通用户系统 1.商家端 2.平台端")
    private Integer sysType;

    /**
     * 是否是管理员
     */
    @Schema(description = "是否是管理员")
    private Integer isAdmin;
    @Schema(description = "店铺是否已经入驻")
    private Integer isPassShop;

    @Schema(description = "所属租户")
    private Long tenantId;



}
