
package com.tmerclub.cloud.api.coupon.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 领券券统计
 * @author yxf
 * @date 2023/06/02
 */
@Data
public class ReceiveCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户id列表" )
    private List<Long> userIds;

    @Schema(description = "开始时间" )
    private Date startTime;

    @Schema(description = "结束时间" )
    private Date endTime;

    public ReceiveCouponDTO() {
    }

    public ReceiveCouponDTO(List<Long> userIds, Date startTime, Date endTime) {
        this.userIds = userIds;
        this.startTime = startTime;
        this.endTime = endTime;
    }

}
