
package com.tmerclub.cloud.api.order.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2021/2/5
 */
@Data
public class EsOrderInvoiceBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单发票ID")
    private Long orderInvoiceId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "发票类型 1.电子普通发票")
    private Integer invoiceType;

    @Schema(description = "抬头类型 1.单位 2.个人")
    private Integer headerType;

    @Schema(description = "抬头名称")
    private String headerName;

    @Schema(description = "发票税号")
    private String invoiceTaxNumber;

    @Schema(description = "发票内容 1.商品明细")
    private Integer invoiceContext;

    @Schema(description = "发票状态 1.申请中 2.已开票")
    private Integer invoiceState;

    @Schema(description = "文件id")
    private Long fileId;

    @Schema(description = "申请时间")
    private Date applicationTime;

    @Schema(description = "上传时间")
    private Date uploadTime;

    @Schema(description = "订单状态")
    private Integer orderStatus;


    @Override
    public String toString() {
        return "EsOrderInvoiceBO{" +
                "orderInvoiceId=" + orderInvoiceId +
                ", orderId=" + orderId +
                ", shopId=" + shopId +
                ", supplierId=" + supplierId +
                ", invoiceType=" + invoiceType +
                ", headerType=" + headerType +
                ", headerName='" + headerName + '\'' +
                ", invoiceTaxNumber='" + invoiceTaxNumber + '\'' +
                ", invoiceContext=" + invoiceContext +
                ", invoiceState=" + invoiceState +
                ", fileId=" + fileId +
                ", applicationTime=" + applicationTime +
                ", uploadTime=" + uploadTime +
                ", orderStatus=" + orderStatus +
                '}';
    }
}
