
package com.tmerclub.cloud.api.order.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单退款记录信息
 *
 * @author YXF
 * @date 2022/8/23
 */
@Data
public class EsOrderRefundItemBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * sku名称
     */
    private String skuName;

    /**
     * 中文商品名称
     */
    private String spuNameZh;

    /**
     * 英文商品名称
     */
    private String spuNameEn;

    /**
     * 中文sku名称
     */
    private String skuNameZh;

    /**
     * 英文sku名称
     */
    private String skuNameEn;

    /**
     * 商品图片
     */
    private String pic;

    /**
     * 供应商商品名称
     */
    private String supplierSpuName;

    /**
     * 供应商sku名称
     */
    private String supplierSkuName;

    /**
     * 供应商中文商品名称
     */
    private String supplierSpuNameZh;

    /**
     * 供应商英文商品名称
     */
    private String supplierSpuNameEn;

    /**
     * 供应商中文sku名称
     */
    private String supplierSkuNameZh;

    /**
     * 供应商英文sku名称
     */
    private String supplierSkuNameEn;

    /**
     * 供应商商品图片
     */
    private String supplierPic;

    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 商品价格
     */
    private Long price;

    /**
     * 产品总价格
     */
    private Long spuTotalAmount;

    /**
     * 商品实际金额
     */
    private Long actualTotal;

    /**
     * 平台优惠金额
     */
    private Long platformShareReduce;

    /**
     * 退还积分
     */
    private Long refundScore;

    /**
     * 活动id
     * @return
     */
    private Long activityId;

    /**
     * 活动类型
     * @return
     */
    private Integer activityType;


    @Override
    public String toString() {
        return "EsOrderRefundItemBO{" +
                "orderItemId=" + orderItemId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", spuNameZh='" + spuNameZh + '\'' +
                ", spuNameEn='" + spuNameEn + '\'' +
                ", skuNameZh='" + skuNameZh + '\'' +
                ", skuNameEn='" + skuNameEn + '\'' +
                ", pic='" + pic + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                ", supplierSkuName='" + supplierSkuName + '\'' +
                ", supplierSpuNameZh='" + supplierSpuNameZh + '\'' +
                ", supplierSpuNameEn='" + supplierSpuNameEn + '\'' +
                ", supplierSkuNameZh='" + supplierSkuNameZh + '\'' +
                ", supplierSkuNameEn='" + supplierSkuNameEn + '\'' +
                ", supplierPic='" + supplierPic + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", count=" + count +
                ", price=" + price +
                ", spuTotalAmount=" + spuTotalAmount +
                ", actualTotal=" + actualTotal +
                ", platformShareReduce=" + platformShareReduce +
                ", refundScore=" + refundScore +
                ", activityId=" + activityId +
                ", activityType=" + activityType +
                '}';
    }
}
