package com.tmerclub.cloud.api.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author gaozijie
 * @date 2023-10-09
 */
@Data
public class FlowOrderItemDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "起始时间")
    private Date startTime;

    @Schema(description = "结束时间")
    private Date endTime;

    public FlowOrderItemDTO() {
    }


    @Override
    public String toString() {
        return "FlowOrderItemDTO{" +
                "spuId=" + spuId +
                ", shopId=" + shopId +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                '}';
    }
}
