
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author TRACK
 */
@Data
public class OrderPayInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id 0是平台")
    private Long shopId;

    @Schema(description = "店铺名称 平台是官方店")
    private String shopName;

    @Schema(description = "支付时间")
    private Date payTime;

    @Schema(description = "支付入口[0订单 1充值 2开通会员]")
    private Integer payEntry;

    @Schema(description = "关联订单号")
    private String orderIds;

    /**
     * @see com.tmerclub.cloud.common.constant.PayType
     */
    @Schema(description = "支付方式")
    private Integer payType;

    @Schema(description = "支付单号")
    private String payId;

    @Schema(description = "支付积分")
    private Long scoreCount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "合计")
    private Long payAmount;


    @Override
    public String toString() {
        return "OrderPayInfoVO{" +
                "shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", payTime=" + payTime +
                ", payEntry=" + payEntry +
                ", orderIds='" + orderIds + '\'' +
                ", payType=" + payType +
                ", payId=" + payId +
                ", scoreCount=" + scoreCount +
                ", alipayAmount=" + alipayAmount +
                ", wechatAmount=" + wechatAmount +
                ", balanceAmount=" + balanceAmount +
                ", payAmount=" + payAmount +
                '}';
    }
}
