
package com.tmerclub.cloud.api.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 采购订单配送地址VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
public class PurchaseOrderAddrVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long purchaseOrderAddrId;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "收货人")
    private String consignee;

    @Schema(description = "省ID")
    private Long provinceId;

    @Schema(description = "省")
    private String province;

    @Schema(description = "城市ID")
    private Long cityId;

    @Schema(description = "城市")
    private String city;

    @Schema(description = "区域ID")
    private Long areaId;

    @Schema(description = "区")
    private String area;

    @Schema(description = "地址")
    private String addr;

    @Schema(description = "手机")
    private String mobile;


    @Override
    public String toString() {
        return "PurchaseOrderAddrVO{" +
                "purchaseOrderAddrId=" + purchaseOrderAddrId +
                ", shopId=" + shopId +
                ", consignee='" + consignee + '\'' +
                ", provinceId=" + provinceId +
                ", province='" + province + '\'' +
                ", cityId=" + cityId +
                ", city='" + city + '\'' +
                ", areaId=" + areaId +
                ", area='" + area + '\'' +
                ", addr='" + addr + '\'' +
                ", mobile='" + mobile + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
