
package com.tmerclub.cloud.api.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户相关订单统计数据
 * @author: cl
 * @date: 2021-04-14 14:04:01
 */
@Data
public class UserOrderStatisticListBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "老会员总成交数据")
    private UserOrderStatisticBO oldUserOrderStatistic;
    @Schema(description = "新会员总成交数据")
    private UserOrderStatisticBO newUserOrderStatistic;

    @Schema(description = "老会员成交数据列表")
    private List<UserOrderStatisticBO> oldUserOrderStatisticList;
    @Schema(description = "新会员成交数据列表")
    private List<UserOrderStatisticBO> newUserOrderStatisticList;



    @Override
    public String toString() {
        return "UserOrderStatisticListBO{" +
                "oldUserOrderStatistic=" + oldUserOrderStatistic +
                ", newUserOrderStatistic=" + newUserOrderStatistic +
                ", oldUserOrderStatisticList=" + oldUserOrderStatisticList +
                ", newUserOrderStatisticList=" + newUserOrderStatisticList +
                '}';
    }
}
