
package com.tmerclub.cloud.biz.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 二维码数据信息
 *
 * @author cl
 * @date 2021-08-13 15:32:12
 */
@Data
@ToString
public class QrcodeTicket extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 二维码ticket id
     */
    private Long ticketId;

    /**
     * 二维码ticket
     */
    private String ticket;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 二维码类型（1. 小程序团购页面）
     */
    private Integer type;

    /**
     * 二维码实际内容
     */
    private String content;

    /**
     * 这个二维码要跳转的url
     */
    private String ticketUrl;


}
