
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 消息提醒设置VO
 *
 * @author tmerclub
 * @date 2022-10-24 13:48:38
 */
@Data
@ToString
public class NotifyTemplateRemindVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息提醒设置")
    private Long notifyTemplateRemindId;

    @Schema(description = "消息模板id")
    private Long templateId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "是否开启提醒 1开启 0关闭")
    private Integer isRemind;

    @Schema(description = "1.订单催付 2.付款成功通知 3.商家同意退款 4.商家拒绝退款 5.核销提醒  6.发货提醒  7.拼团失败提醒 8.拼团成功提醒 " +
            "9.拼团开团提醒 10.会员升级提醒11.退款临近超时提醒 102.确认收货提醒 103.买家发起退款提醒 104.买家已退货提醒")
    private Integer sendType;

    @Schema(description = "通知内容")
    private String message;

    @Schema(description = "通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息")
    private String notifyTypes;

    @Schema(description = "所属菜单")
    private String menu;

    @Schema(description = "推送节点")
    private String nodeName;

    /**
     * 系统类型（1.店铺 2.平台端 3.供应商）
     */
    private Integer sysType;


}
