
package com.tmerclub.cloud.flow.service;

import com.tmerclub.cloud.flow.bo.FlowLogBO;

import java.util.Date;
import java.util.List;

/**
 * 流量分析—页面数据统计表
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public interface FlowUserMongoService {

    /**
     * 获取开始时间
     * @return
     */
    Date getBeginDate();

    /**
     * 获取支付页面记录
     * @param pid
     * @param userId
     * @param orderIds
     * @return
     */
    List<FlowLogBO> getFlowLogByOrderIds(Integer pid, Long userId, String orderIds);

    /**
     * 获取用户最后的操作流量日志
     * @param userId
     * @return
     */
    FlowLogBO getUserLastLog(Long userId);
}
