package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.dto.CueFlawDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueFlawVO;
import com.tmerclub.cloud.cuerecycle.model.CueFlaw;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆缺陷Mapper接口
 * 
 * @author : frank
 * @create : 2025-04-13
 */
public interface CueFlawMapper{

    /**
     * 查询球杆缺陷列表
     *
     * @param cueFlawDTO 查询参数
     * @return 球杆缺陷列表数据
     */
    List<CueFlawVO> list(@Param("dto") CueFlawDTO cueFlawDTO);

    /**
     * 获取球杆缺陷详情
     *
     * @param id 主键
     * @return 球杆缺陷详情
     */
     CueFlawVO getById(Long id);

    /**
     * 新增球杆缺陷
     *
     * @param cueFlaw 新增参数
     * @return 新增结果
     */
    int save(CueFlaw cueFlaw);

    /**
     * 修改球杆缺陷
     *
     * @param cueFlaw 修改参数
     * @return 修改结果
     */
    int update(CueFlaw cueFlaw);
}