package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueType;
import com.tmerclub.cloud.cuerecycle.model.dto.CueTypeDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueTypeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆类型表Mapper接口
 *
 * @author : frank
 * @create : 2025-04-11 21:22:35
 */
public interface CueTypeMapper {

    /**
     * 查询球杆类型表列表
     *
     * @param cueTypeDTO 查询参数
     * @return 球杆类型表列表数据
     */
    List<CueTypeVO> list(@Param("dto") CueTypeDTO cueTypeDTO);

    /**
     * 获取球杆类型表详情
     *
     * @param typeId 主键
     * @return 球杆类型表详情
     */
    CueTypeVO getById(Long typeId);

    /**
     * 新增球杆类型表
     *
     * @param cueType 新增参数
     * @return 新增结果
     */
    int save(CueType cueType);

    /**
     * 修改球杆类型表
     *
     * @param cueType 修改参数
     * @return 修改结果
     */
    int update(CueType cueType);
}