package com.tmerclub.cloud.cuerecycle.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆商品瑕疵项对象
 *
 * @author :  frank
 * @create :  2025-04-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueOrderFlaw extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long orderFlawId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 瑕疵ID
     */
    private Long flawId;
    /**
     * 瑕疵名称
     */
    private String flawName;
    /**
     * 是否瑕疵
     */
    private Integer isFlaw;
    /**
     * 影响价格
     */
    private Long flawPrice;

}