package com.tmerclub.cloud.cuerecycle.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆类型对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueType extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 类型ID
     */
    private Long typeId;
    /**
     * 类型名称
     */
    private String typeName;
    /**
     * 类型图片
     */
    private String typeImage;
    /**
     * 排序
     */
    private Integer typeSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer typeStatus;
    /**
     * 删除状态 0-未删除 1-已删除
     */
    private Integer deleted;
}