package com.tmerclub.cloud.cuerecycle.model.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 创建订单业务对象
 *
 * @author: frank
 * @create: 2025-04-15
 **/
@Data
public class CreateOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品图片
     */
    private String productImages;
    /**
     * 商品价格
     */
    private Long productPrice;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 类型：1-回收，2-置换，3-寄售
     */
    private Integer orderType;
    /**
     * 瑕疵图片，逗号隔开
     */
    private String flawImgUrl;
    /**
     * 付款凭证
     */
    private String evidenceOfPayment;
    /**
     * 备注
     */
    private String orderRemark;
    /**
     * 瑕疵列表
     */
    private List<CreateOrderFlawDTO> flawList;
}
