package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆品牌视图对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueBrandVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 品牌ID
     */
    @Schema(description = "品牌ID")
    private Long brandId;
    /**
     * 品牌名称
     */
    @Schema(description = "品牌名称")
    private String brandName;
    /**
     * 品牌logo
     */
    @Schema(description = "品牌logo")
    private String brandLogo;
    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer brandSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    @Schema(description = "状态：0-禁用，1-启用")
    private Integer brandStatus;
}