
package com.tmerclub.cloud.product.service;

import com.tmerclub.cloud.common.product.vo.AttrVO;
import com.tmerclub.cloud.product.dto.AttrDTO;
import com.tmerclub.cloud.product.dto.AttrValueDTO;

import java.util.List;

/**
 * 属性值信息
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public interface AttrValueService {
    /**
     * 根据属性值信息和属性id，保存属性值信息
     * @param attrValueList
     * @param attrId
     */
    void save(List<AttrValueDTO> attrValueList, Long attrId);

    /**
     * 根据属性值信息和属性id，更新属性值信息
     * @param attrDTO
     * @param dbAttr
     */
    void update(AttrDTO attrDTO, AttrVO dbAttr);

    /**
     * 根据属性id， 删除属性值信息
     * @param attrId
     */
    void deleteByAttrId(Long attrId);
}
